/*
 * app-dark.css: Dark theme color overrides only.
 * Do not include base or layout styles here.
 * Use app.css for all base and app-wide styles.
 */

/* THEME VARIABLES (borrowed from MS) -------------------------------------------*/
.theme-dark {
    --theme-text: #fff;
    --theme-text-subtle: #d2d2d2;
    --theme-text-invert: #2f2f2f;
    --theme-text-glow-high-contrast: #e6e6e6;
    --theme-box-shadow-light: #0000001c;
    --theme-box-shadow-medium: #00000021;
    --theme-box-shadow-heavy: #0000002e;
    --theme-box-shadow-extra-heavy: #00000038;
    --theme-overlay: #000000b3;
    --theme-overlay-invert: #fff;
    --theme-body-background: #1f1f1f;
    --theme-body-background-accent: #091f2c;
    --theme-body-background-medium: #292929;
    --theme-alternate-background: #f2f2f2;
    --theme-alternate-background-medium: #fafafa;
    --theme-border: #404040;
    --theme-border-accent: #505050;
    --theme-border-white-high-contrast: #fff0;
    --theme-border-yellow-high-contrast: #0000;
    --theme-card-background: #091f2c;
    --theme-table-header: #404040;
    --theme-table-row: #2f2f2f;
    --theme-table-row-header: #2f2f2f;
    --theme-table-border-dark: #505050;
    --theme-hover-base: #d2d2d2;
    --theme-hover-invert: #2f2f2f;
    --theme-background-selected: #383838;
    --theme-background-subtle-selected: #333;
    --theme-foreground-selected: #e6e6e6;
    --theme-stroke-selected: #e6e6e6;
    --theme-code-header: #404040;
    --theme-code-block: #2f2f2f;
    --theme-control-border: #d2d2d2;
    --theme-control-border-bottom: #e6e6e6;
    --theme-inline-code: #404040;
    --theme-code-highlight-background: #294903;
    --theme-visited: #ac7ee1;
    --theme-score-low-off: #a80000b3;
    --theme-score-low: #b62626;
    --theme-score-medium-off: #ffbb004d;
    --theme-score-medium: #ffcb3f;
    --theme-score-high-off: #489d48b3;
    --theme-score-high: #489d48;
    --theme-hyperlink: #75b6e7;
    --theme-primary-base: #75b6e7;
    --theme-primary-background: #004173;
    --theme-primary-background-hover: #082338;
    --theme-primary-background-selected: #002c4e;
    --theme-primary-foreground-selected: #77b7f7;
    --theme-primary-foreground-selected-invert: #fff;
    --theme-primary-selected: #0f548c;
    --theme-primary-stroke-selected: #77b7f7;
    --theme-primary-background-glow-high-contrast: #004173;
    --theme-primary-dark: #9ccbee;
    --theme-primary-dark-hover: #9ccbee;
    --theme-primary-hover: #278cda;
    --theme-primary-active: #2886de;
    --theme-primary-box-shadow: #0065b34d;
    --theme-primary-invert: #000;
    --theme-secondary-base: #757575;
    --theme-secondary-background: #404040;
    --theme-secondary-background-hover: #292929;
    --theme-secondary-background-selected: #383838;
    --theme-secondary-foreground-selected: #e6e6e6;
    --theme-secondary-foreground-selected-invert: #e6e6e6;
    --theme-secondary-selected: #e0e0e0;
    --theme-secondary-stroke-selected: #e6e6e6;
    --theme-secondary-background-glow-high-contrast: #404040;
    --theme-secondary-dark: #e6e6e6;
    --theme-secondary-dark-hover: #8e8e8e;
    --theme-secondary-hover: #8e8e8e;
    --theme-secondary-active: #a2a2a2;
    --theme-secondary-box-shadow: #000000b3;
    --theme-secondary-invert: #fff;
    --theme-tertiary-base: #404040;
    --theme-tertiary-background: #171717;
    --theme-tertiary-background-hover: #505050;
    --theme-tertiary-background-selected: #70819f;
    --theme-tertiary-foreground-selected: #061329;
    --theme-tertiary-foreground-selected-invert: #fff;
    --theme-tertiary-selected: #70819f;
    --theme-tertiary-stroke-selected: #061329;
    --theme-tertiary-background-glow-high-contrast: #171717;
    --theme-tertiary-dark: #e6e6e6;
    --theme-tertiary-dark-hover: #8e8e8e;
    --theme-tertiary-hover: #505050;
    --theme-tertiary-active: #757575;
    --theme-tertiary-box-shadow: #0065b34d;
    --theme-tertiary-invert: #fff;
    --theme-success-base: #7cbb7b;
    --theme-success-background: #054b16;
    --theme-success-background-hover: #107c10;
    --theme-success-background-selected: #094509;
    --theme-success-foreground-selected: #a7e3a5;
    --theme-success-foreground-selected-invert: #fff;
    --theme-success-selected: #00723b;
    --theme-success-stroke-selected: #a7e3a5;
    --theme-success-background-glow-high-contrast: #054b16;
    --theme-success-dark: #dff6dd;
    --theme-success-dark-hover: #7cbb7b;
    --theme-success-hover: #489d48;
    --theme-success-active: #7cbb7b;
    --theme-success-box-shadow: #489d48b3;
    --theme-success-invert: #000;
    --theme-info-base: #9970d3;
    --theme-info-background: #3b2e58;
    --theme-info-background-hover: #8661c5;
    --theme-info-background-selected: #201843;
    --theme-info-foreground-selected: #efd9fd;
    --theme-info-foreground-selected-invert: #201843;
    --theme-info-selected: #d59dff;
    --theme-info-stroke-selected: #efd9fd;
    --theme-info-background-glow-high-contrast: #3b2e58;
    --theme-info-dark: #efd9fd;
    --theme-info-dark-hover: #d59dff;
    --theme-info-hover: #ac7ee1;
    --theme-info-active: #d59dff;
    --theme-info-box-shadow: #201843b3;
    --theme-info-invert: #000;
    --theme-warning-base: #f7630c;
    --theme-warning-background: #4a1e04;
    --theme-warning-background-hover: #7a2101;
    --theme-warning-background-selected: #411200;
    --theme-warning-foreground-selected: #fdcfb4;
    --theme-warning-foreground-selected-invert: #000;
    --theme-warning-selected: #ca5010;
    --theme-warning-stroke-selected: #fdcfb4;
    --theme-warning-background-glow-high-contrast: #7a2101;
    --theme-warning-dark: #fdcfb4;
    --theme-warning-dark-hover: #e9835e;
    --theme-warning-hover: #ff8c00;
    --theme-warning-active: #fdcfb4;
    --theme-warning-box-shadow: #ff6600b3;
    --theme-warning-invert: #000;
    --theme-danger-base: #e5a7a8;
    --theme-danger-background: #630001;
    --theme-danger-background-hover: #b62626;
    --theme-danger-background-selected: #590815;
    --theme-danger-foreground-selected: #eeacb2;
    --theme-danger-foreground-selected-invert: #fff;
    --theme-danger-selected: #bc2f32;
    --theme-danger-stroke-selected: #eeacb2;
    --theme-danger-background-glow-high-contrast: #630001;
    --theme-danger-dark: #fde7e9;
    --theme-danger-dark-hover: #d4797a;
    --theme-danger-hover: #c54f4f;
    --theme-danger-active: #d4797a;
    --theme-danger-box-shadow: #a80000b3;
    --theme-danger-invert: #000;
    --theme-facepile-red: #c54f4f;
    --theme-facepile-teal: #50e6ff;
    --theme-facepile-blue: #278cda;
    --theme-gradient-text-purple: #cd9bcf;
    --theme-gradient-text-blue: #9ccbee;
    --theme-gradient-vivid-start: #b84dc6;
    --theme-gradient-vivid-end: #75b6e7;
}

/* GENERAL ---------------------------------------------------*/


/* ALERTS ----------------------------------------------------*/
.alert.alert-note {
    background-color: var(--theme-info-background);
    border: 1px solid var(--theme-info-dark);
    color: var(--theme-text);
}

    .alert.alert-note .alert-title, .alert.alert-note a:not(.button) {
        color: var(--theme-info-dark);
    }

/* BACKGROUNDS -----------------------------------------------*/

/* BUTTONS ---------------------------------------------------*/
[data-bs-theme=dark] .btn-add-color {
    background-color: var(--bs-success-text);
}

[data-bs-theme=dark] .btn-tools {
    border-color: transparent;
    color: rgba(var(--bs-btn-color), 0.25);
}

    [data-bs-theme=dark] .btn-tools i {
        color: var(--bs-primary);
    }

    [data-bs-theme=dark] .btn-tools:hover i {
        color: var(--bs-btn-hover-color);
    }

[data-bs-theme=dark] .btn-inline-delete .btn-delete-color .k-svg-icon > svg {
    fill: var(--bs-danger);
}

/* CARDS -----------------------------------------------------*/

[data-bs-theme=dark] .btn-card-header {
    color: var(--bs-body-color);
}

/* CTA -------------------------------------------------------*/

/* DIALOGS & WINDOWS -----------------------------------------*/
[data-bs-theme=dark] .k-window,
[data-bs-theme=dark] .k-dialog {
    background-color: var(--bs-body-bg);
}

/* DRAWER ----------------------------------------------------*/

/*  DROPDOWNS -------------------------------------------------*/
[data-bs-theme=dark] .k-list {
    /*kendo dropdown list content*/
    background-color: var(--bs-secondary-bg);
}

/* FORM ------------------------------------------------------*/
[data-bs-theme=dark] .form-floating .form-control:disabled {
    background-color: var(--bs-tertiary-bg);
    color: var(--bs-tertiary-color);
}

[data-bs-theme=dark] .item-separator {
    background-color: var(--bs-border-color);
}

[data-bs-theme=dark] .k-form, .k-form-inline {
    color: var(--bs-body-color);
}

[data-bs-theme=dark] .k-form-field .k-input-md .k-input-inner,
[data-bs-theme=dark] .k-form-field .k-picker-md .k-input-inner {
    background-color: var(--bs-tertiary-bg);
    color: var(--bs-body-color);
}

/* GRID ------------------------------------------------------*/

/* INPUTS ----------------------------------------------------*/
[data-bs-theme=dark] .k-form-field .k-input-md .k-input-inner,
[data-bs-theme=dark] .k-form-field .k-picker-md .k-input-inner {
}

[data-bs-theme=dark] .k-input-outline,
[data-bs-theme=dark] .k-input-solid,
[data-bs-theme=dark] .k-picker-outline,
[data-bs-theme=dark] .k-picker-solid {
    border-color: var(--bs-border-color);
    background-color: var(--bs-secondary-bg);
    color: var(--bs-body-color);
}

[data-bs-theme=dark] .k-menu:not(.k-context-menu) {
    background-color: unset;
}

[data-bs-theme=dark] .k-menu-group,
[data-bs-theme=dark] .k-menu.k-context-menu {
    border-color: var(--bs-border-color);
    background-color: var(--bs-body-bg);
}

[data-bs-theme=dark] .k-overlay {
    background-color: #9a9a9a;
}

[data-bs-theme=dark] .k-messagebox-error {
    border-width: 1px 1px 1px 6px;
    border-color: var(--bs-danger-border-subtle);
    color: var(--bs-danger-text-emphasis);
    background-color: var(--bs-danger-bg-subtle);
}

[data-bs-theme=dark] .k-picker-outline:focus,
[data-bs-theme=dark] .k-picker-outline.k-focus,
[data-bs-theme=dark] .k-picker-solid:focus,
[data-bs-theme=dark] .k-picker-solid.k-focus {
    /*border-color: 86b7fe; */
    /*box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);*/
}

/*the popup element of dropdowns*/
[data-bs-theme=dark] .k-popup {
    /*border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    background-color: var(--bs-secondary-bg);
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.03), 0 4px 5px 0 rgba(0, 0, 0, 0.04);*/
}

[data-bs-theme=dark] .settings-switch-wrapper {
    display: block;
    width: 100%;
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--bs-body-color);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: var(--bs-body-bg);
    background-clip: padding-box;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

/* LINKS -----------------------------------------------------*/
[data-bs-theme=dark] .nav-pills {
    --bs-nav-pills-link-active-color: var(--bs-emphasis-color);
    --bs-nav-pills-link-active-bg: var(--bs-secondary-bg);
}

    [data-bs-theme=dark] .nav-pills .nav-link.active,
    [data-bs-theme=dark] .nav-pills .show > .nav-link {
        border: 1px solid var(--bs-border-color) !important;
    }

    [data-bs-theme=dark] .nav-pills .nav-link.main-link:focus,
    [data-bs-theme=dark] .nav-pills .nav-link.main-link:hover {
        background-color: var(--bs-nav-pills-link-active-bg);
        border: 1px solid var(--bs-border-color);
    }

/* SIDEBAR ---------------------------------------------------*/

/* TABLES-----------------------------------------------------*/

/* TABS ------------------------------------------------------*/

/* TIPS & TOOLTIPS -------------------------------------------*/
